//Windows 10
//5.5.2
//To Calculate the performance parameters for a Long transmission line using rigorous method solution.
//Given r=0.2 per km,L=1.3mH per km, C=0.01microfarad,power factor =0.8, length of line =120 km, recivening end power=40MW,receiving end voltage =132kV.Calculate efficiency of line using rigrous solution.
clear;
clc;
R=0.2;
L=1.3e-3;
C=0.01e-6;
z=R+%i*L*314;
y=%i*314*C;
cimp=(z/y);
Zc=sqrt(cimp);
disp(Zc,'Zc=');
adm=y*z;
Y=sqrt(adm);
Yl=Y*120;
alpha=real(Yl);
Beta=imag(Yl);
Vr=(132*1000)/sqrt(3);
Ir=(40*1000)/(sqrt(3)*(132*0.8));
Irv=Ir*(0.8-%i*0.6);
Vsp=((Vr+Irv*Zc)/2)*exp(alpha)*exp(Beta);
Vsn=((Vr-Irv*Zc)/2)*exp(-alpha)*exp(-Beta);
Vs=Vsp+Vsn;
disp(Vs,'sending end voltage');
Is=(Vsp/Zc)+(Vsn/Zc);   
disp(Is,'Sending end current');
spl=3*Vs*Is
disp(spl);
splm=abs(spl);
eff=(40*1000000/splm)*100;
disp(eff,'efficiency of line is');
